import { useMutation as s } from "../../../../../@tanstack_preact-query@5.95.2_preact@10.29.0/node_modules/@tanstack/preact-query/build/modern/useMutation.js";
import { b as o, h as a } from "./StoreProvider-CBB99upB.js";
try {
  let e = typeof window < "u" ? window : typeof global < "u" ? global : typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : {}, t = new e.Error().stack;
  t && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[t] = "14c6c3c5-0c1e-4363-9e33-b1f0061b0f72", e._sentryDebugIdIdentifier = "sentry-dbid-14c6c3c5-0c1e-4363-9e33-b1f0061b0f72");
} catch {
}
const i = async (e, t, n) => a(
  {
    baseUrl: t,
    path: `legalEntities/${e}/create`
  },
  n
), d = (e) => {
  const { rootLegalEntityId: t, baseUrl: n } = o();
  return s({
    mutationFn: (r) => i(t.value, n.value, r),
    ...e
  });
};
export {
  d as u
};
